using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Net;
using System.IO;
using System.Text.RegularExpressions;
using System.Text;
using UUN;
using System.Data.SqlClient;

public partial class Admin_WAP_LiuLanQi : System.Web.UI.Page
{
    private 访问 访问;
    protected String 内容;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("WAP浏览器", "网站后台", "WAP浏览器", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        Uri 地址 = new Uri(Request.QueryString["url"]);
        内容 = "<style type=\"text/css\">body{font-size:12px}</style>";
        内容 += "<!--当前地址 " + 地址.ToString() + " -->";
        try
        {
            WebClient WC = new WebClient();
            WC.Encoding = Encoding.UTF8;
            String 网页地址 = 地址.ToString();
            String 代码文本 = WC.DownloadString(网页地址);
            /*
            Regex 表达式 = new Regex("<a href=['|\"](?<地址>.+?)['|\"]>");
            MatchCollection 结果数组 = 表达式.Matches(代码文本);

            for (int i = 0; i < 结果数组.Count; i++)
            {
                Match 结果 = 结果数组[i];
                代码文本 = 代码文本.Replace(结果.Value, "<a href=\"WAP_LiuLanQi.aspx?url=" + Server.UrlEncode(处理地址(地址, 结果.Groups["地址"].Value)) + "\">");
            }*/
            内容 += 代码文本;
        }
        catch
        {
            内容 += "该内容无法预览";
        }
    }
    private String 处理地址(Uri 地址, String 链接地址)
    {
        if (链接地址.StartsWith("http://", StringComparison.OrdinalIgnoreCase))
            return 链接地址;
        else if (链接地址.StartsWith("/"))
            return "http://" + 地址.Authority + 链接地址;
        else
        {
            String 链接路径 = 地址.ToString().IndexOf('?') == -1 ? 地址.ToString() : 地址.ToString().Split('?')[0];
            return 链接路径.Substring(0, 链接路径.LastIndexOf('/')) + "/" + 链接地址;
        }
    }
}
